<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

/*
Template Name: Blank Page
Template Post Type: portfolio, page, post
*/
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
	<?php wp_body_open();

        get_template_part('parts/header/page-preloader');

        // Smooth Scroll Div Start
        if ( get_theme_mod('swm_smooth_scroll_on','on') === 'on' && get_theme_mod('swm_display_header','default') !== 'default' ) {
            echo '<div id="smooth-wrapper"><div id="smooth-content">';
        }
     ?>

	<div class="swm-containers-holder blank-pg-wrap">
		<div class="swm-site-content swm-anim blank-pg-holder ">
	<?php
			if ( have_posts() ) while ( have_posts() ) : the_post();
				$swm_get_the_content = get_the_content();

				if ($swm_get_the_content == '') {
					?> &nbsp; <?php
				} else {
					the_content();
				}

				echo swm_content_pagination_menu();

			endwhile;
			?>

			<div class="clear"></div>

		</div> <!-- .swm-main-container -->

	</div> <!-- .swm-containers-holder -->

	<?php wp_footer(); ?>
</body>
</html>