<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

if ( swm_customizer_metabox_onoff('swm_display_footer','swm_meta_display_footer','default','default') == 'default' ) { ?>

	<?php if ( swm_customizer_metabox_onoff('swm_widget_footer_on','swm_meta_widget_footer_on','on','default') == 'on' && swm_customizer_metabox_onoff('swm_small_footer_on','swm_meta_small_footer_on','on','default') == 'off' ) { ?>
		.footer { padding-bottom:30px; }
	<?php } ?>

<?php } ?>

<?php if ( get_theme_mod( 'swm_footer_custom_colors_on','off' ) == 'on' ) { ?>

    .footer { background-color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_widget_footer_bg_color', '#000000')); ?>; }
    .footer #wp-calendar thead th,
    .footer #wp-calendar tbody td { background:<?php echo sanitize_hex_color(get_theme_mod( 'swm_widget_footer_bg_color', '#000000')); ?>; }

    .footer a,
    .footer ul li a,
    .footer .mk-recent-posts-tiny ul li a { color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_widget_footer_links_color', '#cccccc')); ?>; }

    .footer a:hover,
    .footer ul li a:hover,
    .footer .mk-recent-posts-tiny ul li a:hover { color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_widget_footer_links_hover_color', '#ffffff')); ?>; }

    .footer,
    .mk-tiny-post-meta-separator { color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_widget_footer_text_color', '#cccccc')); ?>; }

    .footer .input-text,
    .footer input,
    .footer textarea,
    .footer select,
    .footer #wp-calendar thead th,
    .footer #wp-calendar tbody td,
    .footer #wp-calendar tbody td:hover,
    .footer input:focus,
    .footer textarea:focus,
    .footer #widget_search_form #searchform #s:focus {
        color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_widget_footer_text_color', '#cccccc')); ?>;
        border-color: <?php echo sanitize_hex_color(get_theme_mod( 'swm_widget_footer_border_color', '#ffffff')); ?>; }

    .footer .widget_search .swm-search-form input[type="text"]:focus {
        border-color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_widget_footer_bg_color_two', '#1a1a1a')); ?>;
    }

    .footer a:hover,
    .footer #wp-calendar tbody td a,
    .footer ul.menu > li ul li.current-menu-item > a,
    .footer .widget-nav-menu ul li.current-menu-item > a,
    .footer .widget_categories ul li.current-cat > a,
    .footer .widget ul li a:hover,
    .footer a.twitter_time:hover { color: <?php echo sanitize_hex_color(get_theme_mod( 'swm_widget_footer_links_hover_color', '#ffffff')); ?>; }

    .footer .swm-widget-title,
    .footer .wp-block-heading { color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_widget_footer_title_color', '#ffffff')); ?>; }

    .footer .tagcloud a,
    .footer .wp-caption { color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_widget_footer_text_color', '#cccccc')); ?>;  }

    .footer .tagcloud a:hover { color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_widget_footer_links_hover_color', '#ffffff')); ?>; }

    .footer .tagcloud a:hover,
    .footer ul li.cat-item small,
    .footer .wp-caption { background:<?php echo sanitize_hex_color(get_theme_mod( 'swm_widget_footer_bg_color_two', '#1a1a1a')); ?>; }

    .footer #wp-calendar caption {
        background: <?php echo sanitize_hex_color(get_theme_mod( 'swm_widget_footer_bg_color_two', '#1a1a1a')); ?>;
        color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_widget_footer_text_color', '#cccccc')); ?>;
    }

    .footer #widget_search_form #searchform #s,
    .footer .tagcloud a { border-color: <?php echo sanitize_hex_color(get_theme_mod( 'swm_widget_footer_border_color', '#ffffff')); ?>; }

    .footer .widget_search .swm-search-form input[type="text"] { color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_widget_footer_text_color', '#cccccc')); ?>; text-shadow:none; }
    .footer .widget_search .swm-search-form input[type="text"]::-webkit-input-placeholder { color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_widget_footer_text_color', '#cccccc')); ?>; }
    .footer .widget_search .swm-search-form input[type="text"]::-moz-placeholder { color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_widget_footer_text_color', '#cccccc')); ?>; }
    .footer .widget_search .swm-search-form input[type="text"]::-ms-placeholder { color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_widget_footer_text_color', '#cccccc')); ?>; }
    .footer .widget_search .swm-search-form input[type="text"]::placeholder { color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_widget_footer_text_color', '#cccccc')); ?>; }

    .footer .widget_search .swm-search-icon:after,
    .footer .swm-search-button .swm-search-icon:after,
    .footer .woocommerce-product-search .swm-search-icon:after { background:<?php echo sanitize_hex_color(get_theme_mod( 'swm_widget_footer_text_color', '#cccccc')); ?>; }

    .footer .widget_search .swm-search-icon,
    .footer .swm-search-button .swm-search-icon,
    .footer .woocommerce-product-search .swm-search-icon {  border-color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_widget_footer_text_color', '#cccccc')); ?>; }

    .footer .swm-widget-content .mk-sm-wid-icons ul li a {
        color: <?php echo sanitize_hex_color(get_theme_mod( 'swm_widget_footer_text_color', '#cccccc')); ?>;
        border-color: <?php echo sanitize_hex_color(get_theme_mod( 'swm_widget_footer_text_color', '#cccccc')); ?>;
    }

    .footer .swm-widget-content .mk-sm-wid-icons ul li a:hover {
        color: <?php echo sanitize_hex_color(get_theme_mod( 'swm_widget_footer_links_hover_color', '#ffffff')); ?>;
        border-color: <?php echo sanitize_hex_color(get_theme_mod( 'swm_widget_footer_links_hover_color', '#ffffff')); ?>;
        background:transparent;
    }

    .footer .swm-small-footer { border-top-color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_small_footer_top_border_color', '#ffffff')); ?>;  }
    .footer .swm-small-footer { color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_small_footer_text_color', '#cccccc')); ?>; }
    .footer .swm-small-footer a { color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_small_footer_link_color', '#cccccc')); ?>; }
    .footer .swm-small-footer a:hover { color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_small_footer_link_h_color', '#ffffff')); ?>; }

<?php } ?>