<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

/* Mobie menu ------------------------------------ */ ?>

#swm-mobi-nav {
	text-transform:<?php echo esc_html(get_theme_mod( 'swm_mm_text_transform', 'none' )); ?>;
}

<?php if ( get_theme_mod( 'swm_mm_custom_colors_on','off' ) == 'on' ) { ?>

    #swm-mobi-nav-wrap { background-color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_mm_bg_col', '#ffffff')); ?>; }
    .swm-mobi-nav-icon { color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_mm_icon_col', '#ffffff')); ?>; }

    #swm-mobi-nav>ul li a,
    #swm-mobi-nav-wrap .swm-mini-menu-arrow { color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_mm_links_col', '#ffffff')); ?>;  }

    #swm-mobi-nav>ul li .swm-mini-menu-arrow:hover,
    #swm-mobi-nav ul li>a:hover,
    #swm-mobi-nav ul li.current-menu-item>a,
    #swm-mobi-nav ul li.current_page_item>a,
    ul.swm-menu-setting-msg,
    .swm-mobi-nav-close { color: <?php echo sanitize_hex_color(get_theme_mod( 'swm_mm_links_hover_col', '#ffffff')); ?>; }

    .swm-mobi-nav-close:after,
    .swm-mobi-nav-close:before { background-color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_mm_close_icon_col', '#ffffff')); ?>; }

<?php } ?>