<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

if (!function_exists('swm_image_sizes')) {
	function swm_image_sizes() {

		$swm_featured_img_height           = intval(get_theme_mod('swm_featured_img_height','545' ));
		$swm_featured_fullwidth_img_height = intval(get_theme_mod('swm_featured_fullwidth_img_height','545' ));
		$swm_layout_max_width              = intval(get_theme_mod('swm_layout_max_width','1440' ));
        $swm_layout_max_width = $swm_layout_max_width - (intval(get_theme_mod('swm_container_padding','20' )) * 2);

		add_image_size('swm_image_size_post',900,$swm_featured_img_height,true);
		add_image_size('swm_image_size_post_fullwidth',$swm_layout_max_width,$swm_featured_fullwidth_img_height,true);
        add_image_size('swm_image_size_horizontal',750,1300,true);
        add_image_size('swm_image_size_vertical',1300,750,true);
        add_image_size('swm_image_size_square',750,750,true);
        add_image_size('swm_image_size_large_square',1300,1300,true);
	}
    add_action( 'after_setup_theme', 'swm_image_sizes' );
}