<?php

if ( get_theme_mod('swm_header_on','on') == 'on' ) :
    if ( swm_show_the_header('swm_meta_header_on',true) == 'on' ) :

        $swm_meta_header_section = '';
        $swm_meta_header_section = swm_get_post_metas('swm_meta_header_section',true);
        $swm_meta_header_id      = swm_mk_get_custom_section_id('header', $swm_meta_header_section);

        // check first page/post metabox header
        if ( !empty($swm_meta_header_section) && '0' != $swm_meta_header_section ) {

            // display main header with meta header id
            ?>
            <header class="swm_header_custom_section" id="swm-header">
                <?php do_action( 'swm_action_show_section', $swm_meta_header_id ); ?>
            </header>
            <?php

        } elseif ( get_theme_mod('swm_display_header','default') == 'custom' ) {

            // display custom header from customizer > header section
            $swm_get_header_section = get_theme_mod('swm_header_section','0');

            if ( !empty($swm_get_header_section) && '0' != $swm_get_header_section ) :

                // main header
                 ?>
                <header class="swm_header_custom_section" id="swm-header">
                    <?php do_action( 'swm_action_show_section', swm_mk_get_custom_section_id('header', $swm_get_header_section) ); ?>
                </header>
                <?php

            endif;

        } else {
            // default theme header
            get_template_part('parts/header/header');
        }

    endif; // swm_show_header
endif; // swm_header_on