<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

$swm_blog_single_layout = 'standard';
$swm_meta_blog_single_layout = 'default';

$swm_get_post_format  = get_post_format() ? get_post_format() : 'standard';
$swm_blog_single_layout = get_theme_mod('swm_blog_single_layout','standard');

$swm_meta_blog_single_layout = get_post_meta( swm_get_queried_object_id(), 'swm_meta_blog_single_layout', true );

if ( !empty($swm_meta_blog_single_layout) && 'default' !== $swm_meta_blog_single_layout ) {
    $swm_blog_single_layout = $swm_meta_blog_single_layout;
}

?>
<div class="swm-post-content<?php if ( !has_post_thumbnail() ) { echo ' swm-post-pf-no-img'; } ?>">
	<?php
    if ( $swm_blog_single_layout == 'standard-alt' ) {
        get_template_part('parts/posts/post-single-title-meta');
    }

    if ( $swm_blog_single_layout == 'standard' || $swm_blog_single_layout == 'standard-alt' ) {
        get_template_part('parts/posts/post-formats/' . $swm_get_post_format);
    }
    ?>

	<div class="swm-post-content-block">
        <?php
        if ( $swm_blog_single_layout == 'standard' || $swm_blog_single_layout == 'fullwidth-image' ) {
            get_template_part('parts/posts/post-single-title-meta');
        } ?>

		<div class="swm-post-list-content-section swm-post-list-single-content-section">
			<div class="swm-post-single-content">
				<?php the_content();  ?>
				<div class="clear"></div>
				<?php echo swm_content_pagination_menu(); ?>
				<div class="clear"></div>
			</div>
			<div class="clear"></div>
		</div>
		<div class="clear"></div>

	</div>	<!-- .swm-post-content-block -->
</div> <!-- .swm-post-content -->
<div class="clear"></div>