(function ($) { $(document).ready(function() {

	'use strict';

    /* Metabox ------------------------------------------------------ */

    function swm_onOffMetas() {

        function swm_hideSections(selector) {
            var hideSection    = $(selector).length,
                getSectionName = $(selector).closest('.select');

            if ( hideSection > 1 ) {
                getSectionName.show();
            } else {
                getSectionName.hide();
            }

        }

        swm_hideSections('#swm_meta_header_section option');
        swm_hideSections('#swm_meta_sticky_header_section option');
        swm_hideSections('#swm_meta_pagetitlebar_section option');
        swm_hideSections('#swm_meta_footer_section option');

		function swm_onOffMetaItem(mainElement,subElement,value) {

			var selectedValue = $('input[name='+mainElement+']:checked').val();

			if (selectedValue == value){
				$(subElement).css('height','auto');
				$(subElement).css('visibility','visible');
			} else {
				$(subElement).css('height',0);
				$(subElement).css('visibility','hidden');
			}
		}

		swm_onOffMetaItem('swm_meta_header_on','.swm-custom-header-fields','on');
		$("input[name=swm_meta_header_on]").on('click',function() {
			swm_onOffMetaItem('swm_meta_header_on','.swm-custom-header-fields','on');
		});

		swm_onOffMetaItem('swm_meta_page_titlebar_on','.swm-custom-pagetitlebar-fields','on');
		$("input[name=swm_meta_page_titlebar_on]").on('click',function() {
			swm_onOffMetaItem('swm_meta_page_titlebar_on','.swm-custom-pagetitlebar-fields','on');
		});

		swm_onOffMetaItem('swm_meta_footer_on','.swm-custom-footer-fields','on');
		$("input[name=swm_meta_footer_on]").on('click',function() {
			swm_onOffMetaItem('swm_meta_footer_on','.swm-custom-footer-fields','on');
		});

        swm_onOffMetaItem('swm_meta_page_preloader_on','.swm-preloader-fields','on');
        $("input[name=swm_meta_page_preloader_on]").on('click',function() {
            swm_onOffMetaItem('swm_meta_page_preloader_on','.swm-preloader-fields','on');
        });

	}

	swm_onOffMetas();

	/* Insert Media Upload Popup ------------------------------------------------------ */

   function swm_insert_media_upload_popup() {
        var media_selector_frame;
        $('body').on('click', 'input.picture-select + button', function(event) {
                var $this = $(this);
                event.preventDefault();
                var mediaType = 'image';
                var mediaTypeTitle = 'Image';
                var $formfield = $(this).prev('input.picture-select');

                // Create the media frame.
                media_selector_frame = wp.media.frames.mediaSelector = wp.media({
                    // Set the title of the modal.
                    title: 'Select '+mediaTypeTitle,
                    button: {
                        text: 'Insert '+mediaTypeTitle,
                    },
                    library: {
                        type: mediaType
                    }
                });
                // When an image is selected, run a callback.
                media_selector_frame.on( 'select', function() {
                    var attachment = media_selector_frame.state().get('selection').first();
                    attachment = attachment.toJSON();
                    if(attachment.id) {
                        if($formfield.hasClass('picture-select-id')) {
                            $formfield.val(attachment.id).trigger('change');
                        } else {
                            $formfield.val(attachment.url).trigger('change');
                        }
                    }
                });
                    // Finally, open the modal.
                media_selector_frame.open();
        });
    }
    swm_insert_media_upload_popup();

    $('.wpmenu-megamenu-fields').each(function() {

        var $self = $(this),
            mm_currentWidth = $self.find('.edit-menu-item-section-megamenu-width option:selected').text(),
            mm_customWidthFields = $self.find('.mk-customwidth-fields');

        if ( mm_currentWidth == 'Custom Width') {
            mm_customWidthFields.show();
        }

        $('.menu-item select.edit-menu-item-section-megamenu-width').on('change', function (e) {
            var mm_customWidth = $(this).parentsUntil('.menu-item').find('.mk-customwidth-fields');
            if ($(this).val() == 'custom_width') {
                mm_customWidth.show();
            } else {
                mm_customWidth.hide();
            }
        });

    });

}); })(jQuery); // if document ready