jQuery(document).ready(function ($) {

    'use strict';

    // Tooltip Options
    function swm_cust_translations() {

        var swm_cust_tooltip_array = [
            [ 'swm_widget_footer_bg_color_two', swm_c_translate.swm_widget_footer_bg_color_two ],
            [ 'swm_widget_footer_border_color', swm_c_translate.swm_widget_footer_border_color ],
            [ 'swm_footer_title_border_two', swm_c_translate.swm_footer_title_border_two ],
        ];

        var swm_cust_info_text_array = [
            [ 'swm_logo_standard', swm_c_translate.swm_logo_standard_info ],
            [ 'swm_footer_logo_standard', swm_c_translate.swm_logo_standard_info ],
            [ 'swm_post_single_section_ttl_size_desktop', swm_c_translate.swm_post_single_section_ttl_size_desktop_info ],
            [ 'swm_blog_author_section_on', swm_c_translate.swm_blog_author_section_on_info ],
            [ 'swm_excerpt_length', swm_c_translate.swm_excerpt_length_info ],
            [ 'swm_skin_color', swm_c_translate.swm_skin_color_info ],
            [ 'swm_archives_sidebar', swm_c_translate.swm_archives_sidebar_info ],
            [ 'swm_sidebar_w1_title', swm_c_translate.swm_sidebar_w1_title_info ],
            [ 'swm_body_font_weight_light', swm_c_translate.swm_body_font_weight_light_info ],
            [ 'swm_content_padding', swm_c_translate.swm_content_padding_info ],
            [ 'swm_reading_progressbar_color', swm_c_translate.swm_reading_progressbar_color_info ],
            [ 'swm_footer_custom_colors_on', swm_c_translate.swm_footer_custom_colors_on_info ],
            [ 'swm_titlebar_custom_colors_on', swm_c_translate.swm_titlebar_custom_colors_on_info ],
            [ 'swm_wc_shop_sale_badge', swm_c_translate.swm_wc_shop_sale_badge_info ],
            [ 'swm_single_authorbox_on', swm_c_translate.swm_single_authorbox_on_info ],
            [ 'swm_single_related_posts_meta_date', swm_c_translate.swm_single_related_posts_meta_date_info ]
        ];

        var swm_cust_sub_titles_array = [
            [ 'swm_page_preloader_on', swm_c_translate.swm_page_preloader_on_s_title ],
            [ 'swm_smooth_scroll_on', swm_c_translate.swm_smooth_scroll_on_s_title ],
            [ 'swm_bottom_go_top_scroll_btn_on', swm_c_translate.swm_bottom_go_top_scroll_btn_on_s_title ],
            [ 'swm_page_comments_on', swm_c_translate.swm_page_comments_on_s_title ],
            [ 'swm_reading_progressbar_on', swm_c_translate.swm_reading_progressbar_on_s_title ],
            [ 'swm_body_font_size', swm_c_translate.swm_body_font_size_s_title ],
            [ 'swm_adobe_body_font_name', swm_c_translate.swm_adobe_body_font_name_s_title ],
            [ 'swm_custom_body_font_name', swm_c_translate.swm_custom_body_font_name_s_title ],
            [ 'swm_custom_heading_font_name', swm_c_translate.swm_custom_heading_font_name_s_title ],
            [ 'swm_adobe_heading_font_name', swm_c_translate.swm_adobe_heading_font_name_s_title ],
            [ 'swm_headings_font_letter_spacing', swm_c_translate.swm_headings_font_letter_spacing_s_title ],
            [ 'swm_header_title_font_family', swm_c_translate.swm_header_title_font_family_s_title ],
            [ 'swm_widget_title_font_family', swm_c_translate.swm_widget_title_font_family_s_title ],

            [ 'swm_h1_font_size_1366', swm_c_translate.swm_h1_font_size_1366_s_title ],
            [ 'swm_h1_font_size_1024', swm_c_translate.swm_h1_font_size_1024_s_title ],
            [ 'swm_h1_font_size_768', swm_c_translate.swm_h1_font_size_768_s_title ],

            [ 'swm_h2_font_size_1366', swm_c_translate.swm_h1_font_size_1366_s_title ],
            [ 'swm_h2_font_size_1024', swm_c_translate.swm_h1_font_size_1024_s_title ],
            [ 'swm_h2_font_size_768', swm_c_translate.swm_h1_font_size_768_s_title ],

            [ 'swm_h3_font_size_1366', swm_c_translate.swm_h1_font_size_1366_s_title ],
            [ 'swm_h3_font_size_1024', swm_c_translate.swm_h1_font_size_1024_s_title ],
            [ 'swm_h3_font_size_768', swm_c_translate.swm_h1_font_size_768_s_title ],

            [ 'swm_h4_font_size_1366', swm_c_translate.swm_h1_font_size_1366_s_title ],
            [ 'swm_h4_font_size_1024', swm_c_translate.swm_h1_font_size_1024_s_title ],
            [ 'swm_h4_font_size_768', swm_c_translate.swm_h1_font_size_768_s_title ],

            [ 'swm_h5_font_size_1366', swm_c_translate.swm_h1_font_size_1366_s_title ],
            [ 'swm_h5_font_size_1024', swm_c_translate.swm_h1_font_size_1024_s_title ],
            [ 'swm_h5_font_size_768', swm_c_translate.swm_h1_font_size_768_s_title ],

            [ 'swm_h6_font_size_1366', swm_c_translate.swm_h1_font_size_1366_s_title ],
            [ 'swm_h6_font_size_1024', swm_c_translate.swm_h1_font_size_1024_s_title ],
            [ 'swm_h6_font_size_768', swm_c_translate.swm_h1_font_size_768_s_title ],

            [ 'swm_post_title_size', swm_c_translate.swm_post_title_size_s_title ],
            [ 'swm_date_on', swm_c_translate.swm_date_on_s_title ],
            [ 'swm_archives_sidebar', swm_c_translate.swm_archives_sidebar_s_title ],
            [ 'swm_single_post_title_on', swm_c_translate.swm_single_post_title_on_s_title ],
            [ 'swm_single_date_on', swm_c_translate.swm_single_date_on_s_title ],
            [ 'swm_post_single_section_ttl_size_desktop', swm_c_translate.swm_post_single_section_ttl_size_desktop_s_title ],
            [ 'swm_single_authorbox_on', swm_c_translate.swm_single_authorbox_on_s_title ],
            [ 'swm_header_post_one', swm_c_translate.swm_header_post_one_s_title ],
            [ 'swm_class_grid_year_bg', swm_c_translate.swm_class_grid_year_bg_s_title ],
            [ 'swm_class_single_table_icons', swm_c_translate.swm_class_single_table_icons_s_title ],
            [ 'swm_event_grid_date_bg', swm_c_translate.swm_event_grid_date_bg_s_title ],
            [ 'swm_event_single_table1_bg', swm_c_translate.swm_event_single_table1_bg_s_title ],
            [ 'swm_content_padding', swm_c_translate.swm_content_padding_s_title ],
            [ 'swm_logo_standard', swm_c_translate.swm_logo_standard_s_title ],
            [ 'swm_page_titlebar_on', swm_c_translate.swm_page_titlebar_on_s_title ],
            [ 'swm_post_titlebar_on', swm_c_translate.swm_post_titlebar_on_s_title ],
            [ 'swm_page_preloader_colors_on', swm_c_translate.swm_page_preloader_colors_on_s_title ],
            [ 'swm_button_custom_colors_on', swm_c_translate.swm_button_custom_colors_on_s_title ],
            [ 'swm_pagination_custom_colors_on', swm_c_translate.swm_pagination_custom_colors_on_s_title ],
            [ 'swm_sidebar_custom_colors_on', swm_c_translate.swm_sidebar_custom_colors_on_s_title ],
            [ 'swm_titlebar_custom_colors_on', swm_c_translate.swm_titlebar_custom_colors_on_s_title ],
            [ 'swm_mm_custom_colors_on', swm_c_translate.swm_mm_custom_colors_on_s_title ],
            [ 'swm_footer_custom_colors_on', swm_c_translate.swm_footer_custom_colors_on_s_title ],
            [ 'swm_shop_list_custom_colors_on', swm_c_translate.swm_shop_list_custom_colors_on_s_title ],
            [ 'swm_shop_single_custom_colors_on', swm_c_translate.swm_shop_single_custom_colors_on_s_title ],
            [ 'swm_cursor_custom_colors_on', swm_c_translate.swm_cursor_custom_colors_on_s_title ],
            [ 'swm_wc_single_thumb_section_width', swm_c_translate.swm_wc_single_thumb_section_width_s_title ],
            [ 'swm_single_related_posts_on', swm_c_translate.swm_single_related_posts_on_s_title ]
        ];

        $.each(swm_cust_tooltip_array, function( index, value ) {
            var selector = value[0],
                info     = value[1];

            if ( info !== false ) {
                var swm_NewDescription = '<i class="dashicons dashicons-info" title="'+ info +'" rel="tooltip"></i>';
                $( '#customize-control-' + selector + ' span.customize-control-title').append(swm_NewDescription);
            }
        });

        $.each(swm_cust_info_text_array, function( index, value ) {
            var selector = value[0],
                info     = value[1];

            if ( info !== false ) {
                var swm_NewDescription = '<span class="swm-customizer-info-text">'+ info +'</span>';
                jQuery( '#customize-control-' + selector ).prepend(swm_NewDescription);
            }
        });

        $.each(swm_cust_sub_titles_array, function( index, value ) {
            var selector = value[0],
                subTitle = value[1];

            if ( subTitle !== false ) {
                subTitle = '<li class="customize-control swm-customize-control-subtitle ' + selector + '-subtitle">' + '<h4 class="customize-sub-title">' + subTitle + '</h4>' + '</li>';
                $( '#customize-control-' + selector ).before( subTitle );
            }
        });

    }

    swm_cust_translations();

});