<?php if ( ! defined( 'ABSPATH' ) ) { exit; } ?>

		<div class="clear"></div>
	</div> <!-- .swm-main-container -->

        <?php
            if ( get_theme_mod('swm_footer_on','on') == 'on' ) :

                $swm_show_footer     = 'on';
                $swm_meta_footer_on  = get_post_meta( swm_get_queried_object_id(), 'swm_meta_footer_on', true );
                $swm_display_footer  =  get_theme_mod('swm_display_footer','default');

                if ( !empty($swm_meta_footer_on) && isset($swm_meta_footer_on) ) {
                    $swm_show_footer = $swm_meta_footer_on;
                }

                if ( $swm_show_footer == 'on' ) :

                    $swm_meta_footer_section = '';
                    $swm_meta_footer_section = get_post_meta( swm_get_queried_object_id(), 'swm_meta_footer_section', true );

                    if ( !empty($swm_meta_footer_section) && '0' != $swm_meta_footer_section ) {

                        $swm_meta_footer_id = swm_mk_get_custom_section_id('footer', $swm_meta_footer_section);
                        ?>
                        <footer id="footer" class="footer swm-anim" >
                            <?php do_action( 'swm_action_show_section', $swm_meta_footer_id ); ?>
                        </footer>
                        <?php

                    } elseif ( $swm_display_footer == 'custom' ) {

                        // main header
                        $swm_get_footer_section  = get_theme_mod('swm_footer_section','0');
                        $swm_footer_id            = swm_mk_get_custom_section_id('footer', $swm_get_footer_section);
                        ?>
                        <footer id="footer" class="footer swm-anim" >
                            <?php do_action( 'swm_action_show_section', $swm_footer_id ); ?>
                        </footer>
                        <?php

                    } else { ?>

                        <footer id="footer" class="footer swm-anim" >

                            <?php
                            if ( swm_customizer_metabox_onoff('swm_widget_footer_on','swm_meta_widget_footer_on','on','default') == 'on' ) {
                                get_template_part('parts/footer/large-footer');
                            }

                            if ( swm_customizer_metabox_onoff('swm_small_footer_on','swm_meta_small_footer_on','on','default') == 'on' ) {
                                get_template_part('parts/footer/small-footer');
                            }
                            ?>

                        </footer>
                        <?php

                    }

                endif; // swm_show_footer

            endif; // swm_footer_on

            // Smooth scroll div end
            if ( get_theme_mod('swm_smooth_scroll_on','on') === 'on' && get_theme_mod('swm_display_header','default') !== 'default') {
                echo '</div></div>';
            }

			?>

		</div><!-- #swm-wrap -->
	</div><!-- #swm-outer-wrap -->

    <?php

    if ( swm_customizer_metabox_onoff('swm_bottom_go_top_scroll_btn_on','swm_meta_bottom_go_top_scroll_btn_on','on','default') == 'on' ) {

        ?>
    	<div class="swm-btt-btn swm-btt-btn-<?php echo esc_attr(get_theme_mod( 'swm_btt_btn_style','dark' )); ?>"><?php echo swm_get_svg_icon( 'arrow', 'swm-svg-btt-btn-arrow' ); ?><span><?php echo esc_html__( 'Top', 'studio-fifty' ); ?></span></div>
	<?php
    }

	if ( is_single() && comments_open() ) { wp_enqueue_script( 'comment-reply' ); }
	wp_footer();
	?>
</div>  <!-- end #swm-page -->
</body>
</html>