<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

if ( get_theme_mod('swm_header_logo_on','on') == 'on' ) {

	$swm_logo = !empty(get_theme_mod('swm_logo_standard')) ? get_theme_mod('swm_logo_standard') : get_template_directory_uri().'/images/logo.png';
	?>

	<div class="swm-logo">
		<a href="<?php echo esc_url(home_url( '/' )); ?>" title="<?php echo esc_attr(get_bloginfo('name')); ?>">
			<img class="swm-std-logo" width="<?php echo intval( get_theme_mod('swm_logo_standard_width','147') ); ?>" height="<?php echo intval( get_theme_mod('swm_logo_standard_height','') ); ?>" style="max-width:<?php echo intval( get_theme_mod('swm_logo_standard_width','147') ); ?>px;" src="<?php echo esc_url($swm_logo); ?>" alt="<?php echo esc_attr(get_bloginfo('name')); ?>" />
		</a>
		<div class="clear"></div>
	</div>
<?php
}