<?php
if ( get_theme_mod('swm_header_on','on') == 'on' ) :

    $swm_show_the_sticky_header = swm_show_the_header('swm_meta_header_on',true);

    if ( $swm_show_the_sticky_header == 'on' ) :

        $swm_header_sticky_scroll_up_down = ( get_theme_mod('swm_custom_sticky_header_scroll_up','off') == 'on' ) ? 'swm-sticky-scoll-up' : 'swm-sticky-scoll-down';

        // check first page/post metabox header
        if ( !empty(swm_get_post_metas('swm_meta_header_section',true)) && '0' != swm_get_post_metas('swm_meta_header_section',true) ) {
            $swm_meta_sticky_header_section = '';
            $swm_meta_sticky_header_section = swm_get_post_metas('swm_meta_sticky_header_section',true);

            // display sticky header with meta sticky header id
            if ( !empty($swm_meta_sticky_header_section) && '0' != $swm_meta_sticky_header_section ) {

                $swm_meta_sticky_header_id = swm_mk_get_custom_section_id('header', $swm_meta_sticky_header_section)
                ?>
                <header class="swm_header_sticky_section <?php echo esc_attr($swm_header_sticky_scroll_up_down); ?>" id="swm-sticky-header">
                    <?php do_action( 'swm_action_show_section', $swm_meta_sticky_header_id ); ?>
                </header> <?php

            }

        } elseif ( get_theme_mod('swm_display_header','default') == 'custom' ) {

            // display custom header from customizer > header section
            if ( !empty(get_theme_mod('swm_header_section','0')) && '0' != get_theme_mod('swm_header_section','0') ) :

                $swm_get_sticky_header_section = '';
                $swm_get_sticky_header_section = get_theme_mod('swm_sticky_header_section','0');
                $swm_sticky_header_id          = swm_mk_get_custom_section_id('header', $swm_get_sticky_header_section);

                // sticky header
                if ( get_theme_mod('swm_custom_sticky_header_on','on' ) && '0' != $swm_get_sticky_header_section ) { ?>
                    <header class="swm_header_sticky_section <?php echo esc_attr($swm_header_sticky_scroll_up_down); ?>" id="swm-sticky-header">
                        <?php do_action( 'swm_action_show_section', $swm_sticky_header_id ); ?>
                    </header>
                    <?php
                }

            endif;

        }

    endif; // swm_show_default_header

endif; // swm_header_on